Loading...
Searching...
No Matches
pcl::poisson::CoredMeshData Class Referenceabstract

`#include <pcl/surface/3rdparty/poisson4/geometry.h>`

Inheritance diagram for pcl::poisson::CoredMeshData:

## Public Member Functions

virtual | ~CoredMeshData ()=default
virtual void | resetIterator (void)=0
virtual int | addOutOfCorePoint (const Point3D< float > &p)=0
virtual int | addPolygon (const std::vector< CoredVertexIndex > &vertices)=0
virtual int | nextOutOfCorePoint (Point3D< float > &p)=0
virtual int | nextPolygon (std::vector< CoredVertexIndex > &vertices)=0
virtual int | outOfCorePointCount (void)=0
virtual int | polygonCount (void)=0

## Public Attributes

std::vector< Point3D< float > > | inCorePoints

## Detailed Description

Definition at line 199 of file geometry.h.

## Constructor & Destructor Documentation

## ~CoredMeshData()

virtual pcl::poisson::CoredMeshData::~CoredMeshData | ( |  | ) |

virtual default

## Member Function Documentation

## addOutOfCorePoint()

virtual int pcl::poisson::CoredMeshData::addOutOfCorePoint | ( | const Point3D< float > & | p | ) |

pure virtual

Implemented in pcl::poisson::CoredVectorMeshData, and pcl::poisson::CoredFileMeshData.

## addPolygon()

virtual int pcl::poisson::CoredMeshData::addPolygon | ( | const std::vector< CoredVertexIndex > & | vertices | ) |

pure virtual

Implemented in pcl::poisson::CoredVectorMeshData, and pcl::poisson::CoredFileMeshData.

## nextOutOfCorePoint()

virtual int pcl::poisson::CoredMeshData::nextOutOfCorePoint | ( | Point3D< float > & | p | ) |

pure virtual

Implemented in pcl::poisson::CoredVectorMeshData, and pcl::poisson::CoredFileMeshData.

## nextPolygon()

virtual int pcl::poisson::CoredMeshData::nextPolygon | ( | std::vector< CoredVertexIndex > & | vertices | ) |

pure virtual

Implemented in pcl::poisson::CoredVectorMeshData, and pcl::poisson::CoredFileMeshData.

## outOfCorePointCount()

virtual int pcl::poisson::CoredMeshData::outOfCorePointCount | ( | void |  | ) |

pure virtual

Implemented in pcl::poisson::CoredVectorMeshData, and pcl::poisson::CoredFileMeshData.

Referenced by pcl::poisson::Octree< Degree >::GetMCIsoTriangles().

## polygonCount()

virtual int pcl::poisson::CoredMeshData::polygonCount | ( | void |  | ) |

pure virtual

Implemented in pcl::poisson::CoredVectorMeshData, and pcl::poisson::CoredFileMeshData.

## resetIterator()

virtual void pcl::poisson::CoredMeshData::resetIterator | ( | void |  | ) |

pure virtual

Implemented in pcl::poisson::CoredVectorMeshData, and pcl::poisson::CoredFileMeshData.

## Member Data Documentation

## inCorePoints

std::vector<Point3D<float> > pcl::poisson::CoredMeshData::inCorePoints

Definition at line 202 of file geometry.h.

Referenced by pcl::Poisson< PointNT >::performReconstruction(), and pcl::Poisson< PointNT >::performReconstruction().

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/poisson4/geometry.h